Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Add Gemfile to test against Rails 4.0.0.beta1

All tests pass, but there's a ton of deprecation warnings.
  • Loading branch information...
commit f7329f15c7890971c7c21581a0f2592a57ac4934 1 parent bd65fde
@adammck adammck authored
View
17 Gemfile.rails-4-0
@@ -0,0 +1,17 @@
+source 'http://rubygems.org'
+
+gem 'activerecord', '~> 4.0.0.beta1'
+
+group :development, :test do
+ gem 'debugger'
+end
+
+group :development do
+ gem 'rdoc'
+end
+
+group :test do
+ gem 'sqlite3'
+ gem 'pg'
+ gem 'mysql'
+end
View
51 Gemfile.rails-4-0.lock
@@ -0,0 +1,51 @@
+GEM
+ remote: http://rubygems.org/
+ specs:
+ activemodel (4.0.0.beta1)
+ activesupport (= 4.0.0.beta1)
+ builder (~> 3.1.0)
+ activerecord (4.0.0.beta1)
+ activemodel (= 4.0.0.beta1)
+ activerecord-deprecated_finders (~> 0.0.3)
+ activesupport (= 4.0.0.beta1)
+ arel (~> 4.0.0.beta1)
+ activerecord-deprecated_finders (0.0.3)
+ activesupport (4.0.0.beta1)
+ i18n (~> 0.6.2)
+ minitest (~> 4.2)
+ multi_json (~> 1.3)
+ thread_safe (~> 0.1)
+ tzinfo (~> 0.3.33)
+ arel (4.0.0.beta2)
+ atomic (1.1.6)
+ builder (3.1.4)
+ columnize (0.3.6)
+ debugger (1.5.0)
+ columnize (>= 0.3.1)
+ debugger-linecache (~> 1.2.0)
+ debugger-ruby_core_source (~> 1.2.0)
+ debugger-linecache (1.2.0)
+ debugger-ruby_core_source (1.2.0)
+ i18n (0.6.4)
+ json (1.7.7)
+ minitest (4.7.0)
+ multi_json (1.7.2)
+ mysql (2.9.1)
+ pg (0.15.1)
+ rdoc (4.0.1)
+ json (~> 1.4)
+ sqlite3 (1.3.7)
+ thread_safe (0.1.0)
+ atomic
+ tzinfo (0.3.37)
+
+PLATFORMS
+ ruby
+
+DEPENDENCIES
+ activerecord (~> 4.0.0.beta1)
+ debugger
+ mysql
+ pg
+ rdoc
+ sqlite3
View
2  Rakefile
@@ -16,7 +16,7 @@ end
desc 'Test the ancestry plugin with multiple databases and activerecord versions.'
task :test_all do |t|
commands = []
- %w(Gemfile.rails-3-0 Gemfile.rails-3-1 Gemfile).each do |gemfile|
+ %w(Gemfile.rails-3-0 Gemfile.rails-3-1 Gemfile Gemfile.rails-4-0).each do |gemfile|
%w(sqlite3 postgresql mysql).each do |database_adapter|
commands << "rake test db=#{database_adapter} BUNDLE_GEMFILE=#{gemfile}"
end
View
1  test/environment.rb
@@ -3,6 +3,7 @@
require 'active_record'
require 'active_support/test_case'
+require 'active_support/buffered_logger'
require 'test/unit'
# this is to make absolutely sure we test this one, not the one
Please sign in to comment.
Something went wrong with that request. Please try again.